{ config, lib, ... }:

with lib;

let
  cfg = config.settings.containers.nginx;
in {
  options = {
    settings.containers.nginx.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = ''
        Enable nginx container
      '';
    };
  };

  config = mkIf cfg.enable {
    services.podman.containers.nginx = {
      image = "nginx";
      ports = [
        "8080:80"
      ];
    };
  };
}
